***

title: getSipEndpoint
slug: /reference/typescript/rest/fabric/subscribers/get-sip-endpoint
description: Retrieve a SIP endpoint for a subscriber.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Retrieve a single SIP endpoint for a [subscriber](/docs/platform/subscribers).

<EndpointSchemaSnippet endpoint="GET /api/fabric/resources/subscribers/{fabric_subscriber_id}/sip_endpoints/{id}" />

## **Response Example**

<EndpointResponseSnippet endpoint="GET /api/fabric/resources/subscribers/{fabric_subscriber_id}/sip_endpoints/{id}" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com"
});

const endpoint = await client.fabric.subscribers.getSipEndpoint("subscriber-id", "endpoint-id");
console.log("SIP Endpoint:", endpoint.username, "ID:", endpoint.id);
```